Endpoint
GET /tiktok/user
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
username | string | Yes | TikTok username |
api_key | string | Yes* | Your API key (or pass via X-API-Key header) |
Request
GET /tiktok/user?username=tiktok&api_key=xvz-api-
GET /tiktok/user?username=tiktok
X-API-Key: xvz-api-
Response
{
"id": "123456",
"unique_id": "tiktok",
"nickname": "tiktok",
"avatar_larger": "https://images-ext-1.discordapp.net/external/ZEyIRZZu3j1ICTo9TqM4bnCUR-n6EurL-sYVhQ20Qls/%3Fdr%3D10399%26refresh_token%3Df6f3a18d%26x-expires%3D1781532000%26x-signature%3DPRZ6qkYvsrR427QJHVoHf9Xm%252F1w%253D%26t%3D4d5b0474%26ps%3D13740610%26shp%3Da5d48078%26shcp%3D81f88b70%26idc%3Dno1a/https/p16-common-sign.tiktokcdn-eu.com/tos-maliva-avt-0068/ba67b11de451691939223e9d978e613a~tplv-tiktokx-cropcenter%3A1080%3A1080.jpeg?format=webp&width=960&height=960",
"signature": "One TikTok can make a big impact",
"bio_url": "https://linktr.ee/tiktok",
"verified": false,
"private_account": false,
"region_code": "US", -- this not updated
"stats": {
"follower_count": 250000,
"following_count": 300,
"friend_count": 150,
"heart_count": 5000000,
"video_count": 120
}
}
